'''
Install with  pip install -e /path/to/folder/containing/this/file/
-e stands for editable,  so it will then create a link from the site-packages 
directory to the directory in which the code lives, meaning the latest version 
will be used without need to reinstall.

Following info from: https://stackoverflow.com/a/50468400 and
https://python-packaging.readthedocs.io/en/latest/index.html

'''
from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(name='icosphere',
    version='0.1.1',
    description='Constructs geodesic icosahedron given subdivision frequency.',
    long_description=long_description,
    long_description_content_type="text/markdown",
    url='https://github.com/vedranaa/icosphere',
    author='Vedrana and Anders Dahl',
    author_email='vand@dtu.dk',
    license='GNU Lesser General Public License v2.1',
    packages=['icosphere'],
    zip_safe=False)